For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
          • GETGet new orders
          • GETGet order by {order-id}
          • PUTConfirm an order
          • PUTFulfill an order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP OrderOrders

Confirm an order

PUT
https://api.feedamp.feedonomics.com/api/v1/orders/:order-id/confirm
PUT
/api/v1/orders/:order-id/confirm
$curl -X PUT https://api.feedamp.feedonomics.com/api/v1/orders/order-id/confirm \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
200Updated
1{
2 "order": {
3 "id": "123",
4 "cp_order_number": "1234",
5 "state": "PLACED"
6 }
7}

Confirm receipt of the order in FeedAMP. FeedAMP will acknowledge the order in the marketplace depending on the marketplace/seller settings.

Was this page helpful?
Previous

Get order by {order-id}

Next

Fulfill an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP order id

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Response

Sample Response
orderobject